EDIT - bug #8365

DerivedUnitFacadeCacheStrategy should remove collection codes from accession numbers
07/11/2019 06:00 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal Found in Version:

Description

Users frequently enter the collection code with the accession number which can cause to code to appear duplicated in the portal and
elsewhere.

To avoid this duplicate appearance the code should be stripped from the accession number in the DerivedUnitFacadeCacheStrategy

Related issues:
Copied from PhycoBank - task #8361: release portal vs. test portal Resolved

Associated revisions

Revision 1248e50 - 07/11/2019 06:02 PM - Andreas Kohlbecker

ref #8365 stripping collection code from accession number in DerivedUnitFacadeCacheStrategy

Revision a9b9edad - 07/11/2019 06:11 PM - Andreas Kohlbecker

ref #8365 removing parentheses from code + accession number

Revision 3000a28d - 07/12/2019 02:44 PM - Andreas Kohlbecker

ref #8365 stripping collection code from accession number only if followed by whitespace

Revision 35a38115 - 07/12/2019 05:32 PM - Andreas Kohlbecker
ref #8365 putting parentheses back

Revision 12516e6b - 07/16/2019 12:07 PM - Andreas Kohlbecker

ref #8365 removing parentheses from code + accession number - again

Revision 13581ffc - 07/16/2019 01:36 PM - Andreas Kohlbecker

ref #8365 removing parentheses from code + accession number - again, adapting test

Revision 7449720a - 08/02/2019 05:47 PM - Andreas Kohlbecker

ref #8365 adding combination of collection code and unit number as specimenLabel to DerivedUnitFacade

Revision ab6c57c0 - 08/06/2019 11:19 AM - Katja Luther
ref #8365: fix NPE in abcd tests

History

#1 - 07/11/2019 06:04 PM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Andreas Mliller

- % Done changed from 0 to 50

We should also consider removing the parentheses from the accession number since this seems to be useless in most sitations.

#2 - 07/11/2019 06:05 PM - Andreas Kohlbecker
- Copied from task #8361: release portal vs. test portal added

04/10/2024 1/5




#3 - 07/11/2019 06:05 PM - Andreas Kohlbecker
- Copied from deleted (task #8361: release portal vs. test portal)

#4 - 07/11/2019 06:05 PM - Andreas Kohlbecker
- Parent task set to #8361

#5 - 07/11/2019 06:06 PM - Andreas Kohlbecker
- Parent task deleted (#8361)

#6 - 07/11/2019 06:06 PM - Andreas Kohlbecker
- Copied from task #8361: release portal vs. test portal added

#7 - 07/12/2019 11:59 AM - Andreas Kohlbecker
- File picture686-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Wolf-Henning Kusber

| removed the parentheses but these now causes inconsistent display:

Eunotia tauntoniensis Hust. in Ber. Deutsch. Bot. Ges.
44:146. 1926

Eunotia tauntoniensis Hust. in Ber. Deutsch. Bot. Ges. 44: 146. 1926

Lectotype (designated by Simonsen, R. 1987!): United States of America, Massachusetts, Tauton (BRM
L1/15).

Registrations

Eunotia tauntoniensis Hust. Type: United States of America, Massachusetts, Tauton. Lectotype, BREM L1/15.
http://phycobank.org/101874 Registration on 2019-05-17 15:53:37

Eunotia tauntoniensis Hust. http://phycobank.org/101873 Registration on 2019-05-17 15:42:31

Taxa for this name

Eunotia tauntoniensis Hust. in Ber. Deutsch. Bot. Ges. 44: 146. 1926

What do you think Henning?

#8 - 07/12/2019 07:15 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Reviewing the screen shot:

First representation: Lectotype (reference) gathering(Code accession number)

Second representation: Registration Name Type: gathering. Lectotype, Code accession number

| cannot see a problematic inconsitency because both are different representations with overlapping information. Both make sense, both are justified.
| would leave this as is (because it's fine).

#9 - 07/16/2019 12:08 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

OK, parentheses are removed again.
#10 - 07/16/2019 06:18 PM - Wolf-Henning Kusber

- File picture406-1.png added

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
- % Done changed from 50 to 80

Quote

"OK, parentheses are removed again."

The brackets are reinstated not removed but should be removed, see Screen shot:

Eunotia tauntoniensis Hust. in Ber. Deutsch. Bot. Ges. 44: 146.
1926

Eunotia tauntoniensis Hust. in Ber. Deutsch. Bot. Ges. 44: 146. 1926
Lectotype (designated by Simonsen, R. 1987 ') United States of America, Massachusetts, Tautdp (BRM L1/15).

Registrations

Eunotia tauntoniensis Hust. Type: United States of America, Massachusetts, Tauton. Lectotype, \gRM L1/15).
hitpifphycobank.org/ 101874 Registration on 2019-05-17 15:53.37

Eunotia tauntoniensis Hust. hitp:iphycobank orgM 01873 Registration on 2019-05-17 15:42:31

Taxa for this name

Eunotia tauntoniensis Hust. in Ber. Deutsch. Bot. Ges, 44; 146. 1926

1. Simensen, R, Atlas and Catalogue of the Diatem Types of F. Hustedt 1: [il-x, [1]-525. 1987 Registration: http://phycobank.orgM 01274,
2019-05-17

#11 - 07/17/2019 09:02 AM - Andreas Kohlbecker
- File picture171-1.png added
- File picture171-2.png added

removing the parentheses would affect all portals. Before doing this we should keep the effect on other portals in mind and discuss this step with
other users.

For example the Cichorieae synonym portal page for Youngia atripappa looks now like:
Youngia atripappa

General Ssynonymy Images Specimens c
Youngia atripappa (Babc.) N. Kilian in Wu & al., Fl. China 20-21: 254. 2011 Back to search result
= Crepis gracilis Benth. ex C. B. Clarke, Compos. Ind.: 254. 18768 [non Crepis gracilis
Lej. 1825]

= Crepis atripappa Babc. in Univ. Calif. Publ. Bot. 14: 324, 1928&
= Youngia gracilis Babc. & Stebbins in Publ. Carnegie Inst. Wash. 484: 67. 1937 [non Youngia gracilis Miq.
1861]

= Youngia stebbinsiana 5. Y. Hu in Quart. |. Taiwan Mus. 22: 37. 1969, nom. illeg.
Lectotype (designated by Dey S. K. & Maity D. 2016: 3651): India, Sikkim, alt. 3000 - 3600 m, J. D.
Hooker & Thomson (GH 00006291a).
Type: India, Sikkim, alt. 3000 - 3600 m, J. D. Hooker & Thomson (GH 00006291a).
Isolectotype: India, Sikkim, alt. 3000 - 3600 m, ]. D. Hooker & Thomson (K000250157).
Isolectotype: India, Sikkim, alt. 3000 - 3600 m, J. D. Hooker & Thomson (FI010256).
Isolectotype: India, Sikkim, alt. 3000 - 3600 m, ]. D. Hooker & Thomson (P00691294).
Isolectotype: India, Sikkim, alt. 3000 - 3600 m, . D. Hooker & Thomson (GHO0006291a').
Isolectotype: India, Sikkim, alt. 3000 - 3600 m, ). D. Hooker & Thomson (NY00278156).

1. Dey S. K. & Maity D. in Taiwania 61. 2016E

this would be changed to

Youngia atripappa

General synonymy Images Specimens c
Youngia atripappa (Babc.) N. Kilian in Wu & al., Fl. China 20-21: 254. 2011 Back to search result
= Crepis gracilis Benth. ex C. B. Clarke, Compos. Ind.: 254. 1876& [non Crepis gracilis
Lej. 1825]

= Crepis atripappa Babc. in Univ. Calif. Publ. Bot. 14: 324. 19288
= Youngia gracilis Babc. & Stebbins in Publ. Carnegie Inst. Wash. 484: 67. 1937 [non Youngia gracifis Migq.
1861]

= Youngia stebbinsiana S. Y. Hu in Quart. |. Taiwan Mus. 22: 37. 1969, nom. illeg.
Lectotype (designated by Dey S. K. & Maity D. 2016: 365!): India, Sikkim, alt. 3000 - 3600 m, J. D.
Hooker & Thomson GH 00006291a.
Type: India, Sikkim, alt. 3000 - 3600 m, ). D. Hooker & Thomson GH 00006291a.
Isolectotype: India, Sikkim, alt. 3000 - 3600 m, ). D. Hooker & Thomson K000250157.
Isolectotype: India, Sikkim, alt. 3000 - 3600 m, J. D. Hooker & Thomson FID10256.
Isolectotype: India, Sikkim, alt. 3000 - 3600 m, ]. D. Hooker & Thomson P00691294.
Isolectotype: India, Sikkim, alt. 3000 - 3600 m, ]. D. Hooker & Thomson GH00006291a".
Isolectotype: India, Sikkim, alt. 3000 - 3600 m, J. D. Hooker & Thomson NY00278156.

1. Dey S. K. & Maity D. in Taiwania 61. 2016E

The visual separation of the accession numbers from the preceding text is no less good without the parentheses.

#12 - 07/17/2019 09:02 AM - Andreas Kohlbecker
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#13 - 07/17/2019 05:22 PM - Wolf-Henning Kusber
- File picture714-1.png added
- File picture714-2.png added
In the Youngia example the version with brackets is clearer.

#14 - 07/17/2019 06:55 PM - Andreas Kohlbecker
- File deleted (picture714-1.png)

#15 - 07/17/2019 06:55 PM - Andreas Kohlbecker
- File deleted (picture714-2.png)

#16 - 07/17/2019 06:56 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

ok, so i am closing this issue now
#17 - 07/26/2019 01:58 PM - Andreas Miiller
Andreas Kohlbecker wrote:
Users frequently enter the collection code with the accession number which can cause to code to appear duplicated in the portal and elsewhere.

This is not fully correct | think. The problem is that the collection code is sometimes part of the accession number (e.g. "B") which causes these
problems.

#18 - 07/26/2019 02:13 PM - Andreas Miiller

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

To me there seems to be a misunderstanding. My understanding of #8365#note-8 is that is fine to have brackets for typification but NOT to have them
for registration formatting. Only removing them for registration would not brake with any other portals.
So to me this seems to be the wanted behavior. But | don't know if this is possible or if both formattings work with the same formatter.

Just in case there is still any open question here.

#19 - 07/26/2019 02:19 PM - Andreas Miiller

One last question: is the original task of the ticket to deduplicate collection code if necessary now implemented in the cacheStrategy itself? This might
be interesting to know as | think deduplication has also be done elsewhere in Portal and/or TaxEditor (by PP). Might be interesting to check if this is
still needed then. Add PP and KL in cc for this.

#20 - 07/26/2019 02:38 PM - Andreas Miiller

Andreas Miller wrote:
To me there seems to be a misunderstanding. My understanding of #8365#note-8 is that is fine to have brackets for typification but NOT to have
them for registration formatting. Only removing them for registration would not brake with any other portals.

So to me this seems to be the wanted behavior. But | don't know if this is possible or if both formattings work with the same formatter.

Just in case there is still any open question here.

| just see that on the name page it has been implemented correctly already. This was just reported in the ticket therefor my above comment.

Files

picture686-1.png 33.7 KB 07/12/2019 Andreas Kohlbecker
picture406-1.png 27 KB 07/16/2019 Wolf-Henning Kusber
picture171-1.png 67.4 KB 07/17/2019 Andreas Kohlbecker
picture171-2.png 65.9 KB 07/17/2019 Andreas Kohlbecker
